QT Platform Installation Issue

Post Reply
bishop180
Posts: 1
Joined: Sat Jul 07, 2018 7:38 pm

QT Platform Installation Issue

Post by bishop180 » Sat Jul 07, 2018 7:42 pm

When I try to install Mudlet on my windows xp computer, I get this error.

This application failed to start because no Qt platform plugin could be initiated. Reinstalling the application may fix this problem.

Available platform plugins are windows.

Any ideas?

User avatar
Vadi
Posts: 4610
Joined: Sat Mar 14, 2009 3:13 pm

Re: QT Platform Installation Issue

Post by Vadi » Mon Jul 09, 2018 3:18 pm

What kind of computer is this on?

User avatar
SlySven
Posts: 894
Joined: Mon Mar 04, 2013 3:40 pm
Location: Deepest Wiltshire, UK
Discord: SlySven#2703

Re: QT Platform Installation Issue

Post by SlySven » Tue Jul 10, 2018 12:28 am

The OP says Windows XP - unfortunately that is so past EOL that Qt no longer supports it. See https://doc.qt.io/qt-5/supported-platforms.html

From what I can see the last version of Qt that handles XP is 5.7 - and that is *just* within the minimum version of Qt that Mudlet does support. So it might be possible to build Mudlet from source but it will not be simple (building Mudlet on any version of windows is less straightforward than other OSes anyhow).

If that is your only computer you may want to consider defragging your hard disk (to free up as much space as possible at the end of the drive) and to then hive off as much of the space as you can spare for an installation of a Linux distribution in that space - that is not a trivial undertaking however and you will want your loins well girded...

... however that will not still not be a simple solution if you want the latest version of Mudlet and your PC only has a 32-bit processor - because we only build and provide ready to run 64-bit versions for Linux - you will have to build a 32-bit one yourself - however compiling Mudlet and the various libraries on such a system is doable - I have done so myself. Indeed most recently I did this (I used the Devuan distribution myself - but that is only because I have strong anti-systemd feelings) originally using a 32-bit version but only because I though that was what I had (the then Vista installed on it was a 32-bit one) before I redid it after finding out it had a 64-bit processor underneath. So consider what hardware you actually have before going down this route! :geek:

Post Reply

Who is online

Users browsing this forum: Bing [Bot] and 3 guests